<?xml version="1.0" encoding="UTF-8"?>
<Config>
    <Updated>20230612</Updated>
    <Aod>
        <Enable>true</Enable>
        <LightSensorRateMills>300</LightSensorRateMills>
        <MinValidAmbientLux>0</MinValidAmbientLux>
        <MaxValidAmbientLux>70000</MaxValidAmbientLux>
        <BrightenDebounceTime>650</BrightenDebounceTime>
        <DarkenDebounceTime>1000</DarkenDebounceTime>
        <PreMeanFilterNoFilterNum>7</PreMeanFilterNoFilterNum>
        <PreMeanFilterNum>3</PreMeanFilterNum>
        <PreMeanFilterWeight>0.5</PreMeanFilterWeight>
        <DefaultBrightness>35</DefaultBrightness>
        <OffsetDarkenAlphaLeft>0.1</OffsetDarkenAlphaLeft>
        <OffsetBrightenRatioLeft>0.5</OffsetBrightenRatioLeft>
        <OffsetBrightenAlphaLeft>0.2</OffsetBrightenAlphaLeft>
        <BrightenGradualTime>0.8</BrightenGradualTime>
        <DarkenGradualTime>50.0</DarkenGradualTime>
        <DefaultBrightnessPoints>
            <Point>0,5</Point>
            <Point>1,5</Point>
            <Point>2,5</Point>
            <Point>3,5</Point>
            <Point>4,5</Point>
            <Point>5,5</Point>
            <Point>20,20</Point>
            <Point>50,25</Point>
            <Point>100,35</Point>
            <Point>200,36</Point>
            <Point>400,37</Point>
            <Point>1000,57</Point>
            <Point>2000,75</Point>
            <Point>3000,84</Point>
            <Point>5000,84</Point>
            <Point>10000,84</Point>
            <Point>20000,84</Point>
            <Point>40000,84</Point>
            <Point>70000,84</Point>
        </DefaultBrightnessPoints>

        <BrightnessMapping>
            <Point>0,0</Point>
            <Point>4,2</Point>
            <Point>225,11533</Point>
            <Point>255,13106</Point>
        </BrightnessMapping>

        <BrightenlinePoints>
            <Point>0,4</Point>
            <Point>3,4</Point>
            <Point>5,6</Point>
            <Point>10,19</Point>
            <Point>20,89</Point>
            <Point>30,200</Point>
            <Point>100,439</Point>
            <Point>500,739</Point>
            <Point>1000,989</Point>
            <Point>3000,1000</Point>
            <Point>4000,2000</Point>
            <Point>10000,2000</Point>
            <Point>20000,2000</Point>
            <Point>30000,2000</Point>
            <Point>40000,2000</Point>
            <Point>70000,2000</Point>
        </BrightenlinePoints>

        <DarkenlinePoints>
            <Point>0,1</Point>
            <Point>1,2</Point>
            <Point>2,2</Point>
            <Point>3,2</Point>
            <Point>6,5</Point>
            <Point>10,7</Point>
            <Point>20,15</Point>
            <Point>50,35</Point>
            <Point>100,80</Point>
            <Point>200,170</Point>
            <Point>300,225</Point>
            <Point>500,273</Point>
            <Point>600,322</Point>
            <Point>1200,600</Point>
            <Point>2000,1200</Point>
            <Point>5000,4000</Point>
            <Point>8000,6000</Point>
            <Point>10000,8000</Point>
            <Point>20000,15000</Point>
            <Point>70000,60000</Point>
        </DarkenlinePoints>
    </Aod>
</Config>
